%global plugins td addhelper animationaddon bench bicubic crashhandler cubeaddon extrawm fadedesktop firepaint gears grid group loginout maximumize mblur notification reflex scalefilter shelf showdesktop showmouse splash trailfocus wallpaper widget
%global plugins_compiz %(echo %{plugins} | sed -e 's/\\</compiz-/g')

Name: compiz-fusion-extras
Version: 0.9.5.92
Release: 1%{?dist}
Summary: Additional plugins for Compiz      

Group: User Interface/Desktops        
License: GPLv2+       
URL: http://www.compiz.org            
Source0: http://releases.compiz.org/%{version}/compiz-plugins-extra-%{version}.tar.bz2   
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:   libnotify-070-fix.diff 
# libdrm is not available on these arches
ExcludeArch: s390 s390x

BuildRequires: compiz-plugins-main-devel >= %{version}
BuildRequires: compiz-bcop >= 0.8.4
BuildRequires: gettext-devel
BuildRequires: perl(XML::Parser)
BuildRequires: mesa-libGLU-devel
BuildRequires: libXrender-devel
BuildRequires: libnotify-devel
BuildRequires: GConf2
BuildRequires: libjpeg-devel
BuildRequires: gawk
BuildRequires: intltool
BuildRequires: cmake
BuildRequires: boost-devel
BuildRequires: pkgconfig
BuildRequires: gtk2-devel

Requires: compiz-plugins-main >= %{version} 

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains additional plugins from the Compiz Fusion Project.

%package gconf
Summary: Compiz Fusion Extras GConf configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires: compizconfig-backend-gconf > 0.9
Obsoletes: compiz-fusion-extras-gnome < 0.8.6-1

%description gconf
This package contains the GConf configuration schemas for
Compiz Fusion Extras.

%package devel
Group: Development/Libraries
Summary: Development files for Compiz-Fusion
Requires: compiz-plugins-main-devel >= %{version}
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files required for developing other
plugins.

%prep
%setup -q -n compiz-plugins-extra-%{version}
#patch0 -p1 -b .libnotify-070-fix


%build
mkdir build
pushd build
%cmake -DCOMPIZ_BUILD_WITH_RPATH=OFF -DCOMPIZ_PACKAGING_ENABLED=ON -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON -DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas ..
make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
popd

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a

%post gconf
%gconf_schema_upgrade %{plugins_compiz}

%pre gconf
%gconf_schema_prepare %{plugins_compiz}

%preun gconf
%gconf_schema_remove %{plugins_compiz}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/cubeaddon
%{_datadir}/compiz/notification
%{_datadir}/compiz/reflex
%{_datadir}/compiz/showmouse
%{_datadir}/compiz/splash

%files gconf
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/compiz-*

%changelog
* Tue Oct 18 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.5.92-1
- new release 0.9.5.92

* Fri Sep 30 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.5.0-3
- obsolete compiz-fusion-extras-gnome

* Thu Jul 21 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.5.0-2
- rebuild against boost 1.47.0

* Fri Jul 15 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.5.0-1
- new release 0.9.5.0

* Thu Apr 07 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.4-2
- rebuilt against boost 1.46.1

* Mon Mar 14 2011 Adam Williamson <awilliam@redhat.com> - 0.9.4-1
- new release 0.9.4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.2.1-3
- rebuilt for boost

 * Sun Jan 23 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-2
- correct name of 3d/td module schema (it's td not 3d)
- rebuild to get correct cflags

* Thu Jan 20 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-1
- new release 0.9.2.1
- adjust build for CMake
- use gconf macros
- rediff libnotify-070-fix.diff

* Sun Nov 07 2010 leigh scott <leigh123linux@googlemail.com> - 0.8.6-2
- rebuilt and patched for new libnotify version

* Tue Mar 30 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.8.6-1
- Update to 0.8.6

* Sat Jan 16 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-1
- Update to 0.8.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.8.2-1
- Update to 0.8.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-5
- Build with libnotify support

* Fri Dec 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-4
- Remove crap from scriptlet

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-3
- Add devel subpackage

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-2
- BR intltool

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-1
- Update to 0.7.8

* Tue Jul 15 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-6
- Build on ppc64 too

* Tue Jun 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-5
- Fix up scriptlets (RH #452677)

* Mon Jun 23 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-4
- Speed up gconf schema installation

* Wed Jun 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-3
- Revert to old gconf schmema install script

* Fri Jun 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-2
- Fix script typo

* Thu Jun 05 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-1
- Update to 0.7.6
- Install all gconf schemas at once

* Tue Mar 25 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-2
- Fix scriptlet failure

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-3
- Rebuild for gcc-4.3

* Fri Jan 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-2
- Fix build with gcc43

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Fri Oct 12 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-9.6871d0
- Rebuild against new compiz-fusion to build missing plugins (RH #327441)

* Wed Oct 10 2007 Warren Togami <wtogami@redhat.com> 0.5.2-8.6871d0
- >= instead of = to allow compiz upgrade flexibility

* Sun Sep 23 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-7.6871d0
- GConf schemas got renamed .. fix scripts to install them
- Fix changelog date

* Sat Sep 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-6.6871d0
- Update to 0.6 branch (builds against current compiz)

* Sat Sep 15 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-5
- Fix gconf schemas install (RH #53692)
- Some build fixes

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-4
- Remove redundant buildrequires

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-3
- BuildRequire gawk

* Wed Aug 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-2
- Fix gconf schemas (un)installation

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build


